﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Grid;

namespace GetSelectedCellInformation
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void cellInfo_Click(object sender, RoutedEventArgs e)
        {
            int rowindex = 0;
            //Get selectd cells data
            var selectedcells = this.sfdatagrid.GetSelectedCells();
            //calculate the total number of selected cell in SfDataGrid
            int count = selectedcells.Count;
            for (int i = 0; i < count; i++)
            {
                GridCellInfo cellinfo = selectedcells[i];
                //Get selected cell row index
                if (!cellinfo.IsDataRowCell)
                    continue;
                rowindex = this.sfdatagrid.ResolveToRowIndex(cellinfo.RowData);
                var gridColumnIndex = this.sfdatagrid.Columns.IndexOf(cellinfo.Column);
                //Resolve the column index
                var visibleColumnIndex = this.sfdatagrid.ResolveToGridVisibleColumnIndex(gridColumnIndex);
                //Get the SelectedCell values
                var propertyCollection = this.sfdatagrid.View.GetPropertyAccessProvider();
                var cellvalue = propertyCollection.GetValue(cellinfo.RowData, cellinfo.Column.MappingName);
                MessageBox.Show(cellvalue.ToString());
            }
        }
    }
}
